using System;
using System.ComponentModel.DataAnnotations;
using System.ComponentModel.DataAnnotations.Schema;

namespace IRaCIS.Core.Domain.Models
{
    [Table("PaymentDetail")]
    public partial class PaymentDetail : Entity, IAuditUpdate, IAuditAdd
    {
        public Guid PaymentId { get; set; }
        public Guid DoctorId { get; set; }
        public string YearMonth { get; set; }
        public Guid TrialId { get; set; }

        [StringLength(50)]
        public string TrialCode { get; set; }

        [StringLength(50)]
        public string PaymentType { get; set; }
        public int Count { get; set; }

        [Column(TypeName = "decimal(18,2)")]
        public decimal BasePrice { get; set; }

        [Column(TypeName = "decimal(18,2)")]
        public decimal PersonalAdditional { get; set; }

        [Column(TypeName = "decimal(18,2)")]
        public decimal TrialAdditional { get; set; }

        [Column(TypeName = "decimal(18,2)")]
        public decimal ExchangeRate { get; set; }

        [Column(TypeName = "decimal(18,2)")]
        public decimal PaymentUSD { get; set; }

        [Column(TypeName = "decimal(18,4)")]
        public decimal PaymentCNY { get; set; }

        public int ShowTypeOrder { get; set; }
        public int ShowCodeOrder { get; set; }

        public Guid UpdateUserId { get; set; }
        public DateTime UpdateTime { get; set; }
        public Guid CreateUserId { get; set; }
        public DateTime CreateTime { get; set; }
    }
}
